Show / Hide Table of Contents

# Class RichGame

A user's Rich Presence status.

##### Inheritance

System.Object
Game
RichGame

##### Implements

IActivity

##### Inherited Members

Game.Name
Game.Type
Game.Flags
Game.Details
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class RichGame : Game, IActivity

### Properties

| Improve this Doc View Source

#### ApplicationId

Gets the application ID for the game.

##### Declaration

    public ulong ApplicationId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### LargeAsset

Gets the large image for the presence and their hover texts.

##### Declaration

    public GameAsset LargeAsset { get; }

##### Property Value

Type | Description
--- | ---
GameAsset |

| Improve this Doc View Source

#### Party

Gets the information for the current party of the player.

##### Declaration

    public GameParty Party { get; }

##### Property Value

Type | Description
--- | ---
GameParty |

| Improve this Doc View Source

#### Secrets

Gets the secrets for Rich Presence joining and spectating.

##### Declaration

    public GameSecrets Secrets { get; }

##### Property Value

Type | Description
--- | ---
GameSecrets |

| Improve this Doc View Source

#### SmallAsset

Gets the small image for the presence and their hover texts.

##### Declaration

    public GameAsset SmallAsset { get; }

##### Property Value

Type | Description
--- | ---
GameAsset |

| Improve this Doc View Source

#### State

Gets the user's current party status.

##### Declaration

    public string State { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Timestamps

Gets the timestamps for start and/or end of the game.

##### Declaration

    public GameTimestamps Timestamps { get; }

##### Property Value

Type | Description
--- | ---
GameTimestamps |

### Methods

| Improve this Doc View Source

#### ToString()

Returns the name of the Rich Presence.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

Game.ToString()

### Implements

IActivity